Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher Class Reference

Dispatcher for various validators depending on the XML document namespace. More...

## Public Member Functions
| __construct ($validatorMap)
| addValidator ($namespace, Validator $validator=null)
| Adds validator mapping. More...
| dispatch (DOMDocument $document)
| Dispatches DOMDocument to the namespace mapped validator. More...

## Protected Attributes
| $mapping = []

## Detailed Description

Dispatcher for various validators depending on the XML document namespace.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\Validator\ValidatorDispatcher from EzPlatformRichTextBundle.

Definition at line 17 of file ValidatorDispatcher.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher::__construct | ( |  | $validatorMap | ) |

Parameters

  \eZ\Publish\Core\FieldType\RichText\Validator[] | $validatorMap |

Definition at line 29 of file ValidatorDispatcher.php.

References eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher\addValidator().

## Member Function Documentation

## ◆ addValidator()

eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher::addValidator | ( |  | $namespace,
|  | Validator | $validator = `null`
| ) |  |

Adds validator mapping.

Parameters

  string | $namespace |
  \eZ\Publish\Core\FieldType\RichText\Validator | $validator |

Definition at line 42 of file ValidatorDispatcher.php.

Referenced by eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher\__construct().

## ◆ dispatch()

eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher::dispatch | ( | DOMDocument | $document | ) |

Dispatches DOMDocument to the namespace mapped validator.

Exceptions

Definition at line 56 of file ValidatorDispatcher.php.

## Member Data Documentation

## ◆ $mapping

eZ\Publish\Core\FieldType\RichText\ValidatorDispatcher::$mapping = []
| protected

Definition at line 24 of file ValidatorDispatcher.php.

The documentation for this class was generated from the following file:

- ValidatorDispatcher.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.